on: [push]
jobs:
  publish:
    runs-on: docker
    steps:
      - name: Install Pandoc
        run: |
          apt update
          apt install -y pandoc
          export DEBIAN_FRONTEND=noninteractive ; apt-get -qq update && apt-get install -y --quiet sshpass rsync
      - name: Update website
        if: ${{ secrets.RVBA != '' }}
        run: |
          git clone https://rvba:${{ secrets.RVBA }}@git.forgeons.org/rvba/web
          cd web
          git config user.email "ci@git.forgeons.org"
          git config user.name "forgeons-web"
          cd scripts
          ./web.sh batch
          cd ..
          export DEBIAN_FRONTEND=noninteractive
          SSHPASS="${{ secrets.RVBA }}" rsync --rsh='sshpass -e ssh -oStrictHostKeyChecking=no' -av --delete  dist/ web@forgeons.org:/home/web/forgeons
